<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::simulator::Model::simu_state Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structflair_1_1simulator_1_1_model_1_1simu__state.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structflair_1_1simulator_1_1_model_1_1simu__state-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::simulator::Model::simu_state Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1da75f64b8d57a386b9f7b7b5bf49222"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1da75f64b8d57a386b9f7b7b5bf49222"></a>
<a class="el" href="classflair_1_1core_1_1_quaternion.html">core::Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Quat</b></td></tr>
<tr class="separator:a1da75f64b8d57a386b9f7b7b5bf49222"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4685ff7ba0f1b1dd7e212be6fc4442c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4685ff7ba0f1b1dd7e212be6fc4442c2"></a>
<a class="el" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3Df</a>&#160;</td><td class="memItemRight" valign="bottom"><b>W</b></td></tr>
<tr class="separator:a4685ff7ba0f1b1dd7e212be6fc4442c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf641f6b4bb8083e9c579b80b207daa2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf641f6b4bb8083e9c579b80b207daa2"></a>
<a class="el" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3D</a>&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Pos</b></td></tr>
<tr class="separator:adf641f6b4bb8083e9c579b80b207daa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa54804c34d1658a5fd5dfe21c41b384a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa54804c34d1658a5fd5dfe21c41b384a"></a>
<a class="el" href="classflair_1_1core_1_1_vector3_d.html">core::Vector3D</a>&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Vel</b></td></tr>
<tr class="separator:aa54804c34d1658a5fd5dfe21c41b384a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1simulator.html">simulator</a></li><li class="navelem"><a class="el" href="classflair_1_1simulator_1_1_model.html">Model</a></li><li class="navelem"><a class="el" href="structflair_1_1simulator_1_1_model_1_1simu__state.html">simu_state</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
